]> sipb.mit.edu Git - ikiwiki.git/commitdiff
add rebuild handing
authorJoey Hess <joey@gnu.kitenet.net>
Mon, 5 Oct 2009 20:51:33 +0000 (16:51 -0400)
committerJoey Hess <joey@gnu.kitenet.net>
Mon, 5 Oct 2009 20:51:33 +0000 (16:51 -0400)
debian/NEWS
debian/changelog
debian/postinst

index 808105fd5b1e7cbc49306bd81bb5b15be2d79490..520f3881535efb4afc1a5619ac7c86ab200bad0c 100644 (file)
@@ -1,3 +1,13 @@
+ikiwiki (3.14159266) UNRELEASED; urgency=low
+
+  To take advantage of significant performance improvements, all
+  wikis need to be rebuilt on upgrade to this version. If you
+  listed your wiki in /etc/ikiwiki/wikilist this will be done
+  automatically when the Debian package is upgraded. Or use
+  ikiwiki-mass-rebuild to force a rebuild.
+
+ -- Joey Hess <joeyh@debian.org>  Mon, 05 Oct 2009 16:48:59 -0400
+
 ikiwiki (3.1415926) unstable; urgency=low
 
   In order to fix a performance bug, all wikis need to be rebuilt on
 ikiwiki (3.1415926) unstable; urgency=low
 
   In order to fix a performance bug, all wikis need to be rebuilt on
index ab235484d73df25b3dfff28c77387075d773b916..89d377769aadbd298152bd33909b3ad4aebdad4f 100644 (file)
@@ -27,6 +27,8 @@ ikiwiki (3.14159266) UNRELEASED; urgency=low
     where if only a small set of pages were considered by orphans/pagestats,
     changes to links on other pages failed to cause an update.
   * Transitive dependencies are now correctly supported.
     where if only a small set of pages were considered by orphans/pagestats,
     changes to links on other pages failed to cause an update.
   * Transitive dependencies are now correctly supported.
+  * Rebuild wikis on upgrade to this version to get improved dependency
+    info.
 
  -- Joey Hess <joeyh@debian.org>  Sun, 27 Sep 2009 17:40:03 -0400
 
 
  -- Joey Hess <joeyh@debian.org>  Sun, 27 Sep 2009 17:40:03 -0400
 
index 2ba26e5b65010cee1649390240228a3d939b7afb..dd4be6e0e7948d408551a38ca0e886828189b102 100755 (executable)
@@ -4,7 +4,7 @@ set -e
 
 # Change this when some incompatible change is made that requires
 # rebuilding all wikis.
 
 # Change this when some incompatible change is made that requires
 # rebuilding all wikis.
-firstcompat=3.1415926
+firstcompat=3.14159266
 
 if [ "$1" = configure ] && \
    dpkg --compare-versions "$2" lt "$firstcompat"; then
 
 if [ "$1" = configure ] && \
    dpkg --compare-versions "$2" lt "$firstcompat"; then